Skip to main content
PATCH
Set device webhook configuration

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

device_id
string
required

Device ID

Body

application/json
webhook_url
string
required

Custom webhook URL to use for this device. Set to empty string to clear.

Example:

"https://example.com/webhook"

webhook_secret
string

Optional secret used to sign payloads for this device webhook.

Example:

"super-secret-key"

webhook_events
string

Optional comma-separated event whitelist for this device webhook. Empty means all events.

Example:

"message,message.ack"

webhook_insecure_skip_verify
boolean

Optional. Skip TLS certificate verification for this device webhook.

Example:

false

Response

OK

status
integer
Example:

200

code
string
Example:

"SUCCESS"

message
string
Example:

"Device webhook updated"

results
object